/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package responsible_doctor_hist

import (
	e "simrs-vx/internal/domain/main-entities/responsible-doctor-hist"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ResponsibleDoctorHist) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Doctor_Code = inputSrc.Doctor_Code
	data.StartedAt = inputSrc.StartedAt
	data.FinishedAt = inputSrc.FinishedAt
}
